@import "src/styles";

.view {
  height: 80vh;
  background-position: center;
}

.welcome {
  position: relative;

  &__heading {
    font-size: 7rem;
    font-weight: 600;
    color: white;
    text-transform: uppercase;
    letter-spacing: 1.5rem;

    backface-visibility: hidden;

    position: absolute;
    top: 60%;
    left: 5%;

    @include respond(tab-land) {
      font-size: 5rem;
      top: 70%;
    }

    @include respond(phone) {
      font-size: 3rem;
      top: 50%;
      left: 10%;
    }

    &--1 {
      display: block;
      padding-bottom: 2rem;
    }

    &--2 {
      display: block;
    }

    &--3 {
      display: none;
    }

    &--2,
    &--3 {
      animation: moveInLeft 2s ease-out .5s backwards;
    }

    @include respond(tab-port) {
      &--2 {
        display: none;
      }
      &--3 {
        display: block;
      }
    }
  }
}

.background {
  background-color: $custom-light-grey;
}

.about {

  &__page-description {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    margin-top: 2rem;

    &--text {
      padding: 9rem 3rem;
      width: 70%;
      text-align: center;
      font-size: 2rem;
    }

    &--photo {
      width: 50%;
      margin-bottom: 9rem;
      box-shadow: $image-shadow;
    }
  }

  &__page-preview {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: stretch;
    height: 100%;
    position: relative;
    padding: 6rem 3rem;

    &--photo {
      width: 48%;
      box-shadow: $image-shadow;
    }

    &--text {
      font-size: 4rem;
      font-weight: bold;
      // wtf
      margin-top: 2rem !important;
    }

    &--arrow {
      display: block;
      font-size: 4rem;
    }

    &--text {
      font-size: 4rem;
      font-weight: bold;
      margin-top: 2rem;
    }

    @include respond(tab-land) {
      &--photo {
        width: 60%;
      }
    }

    @include respond(tab-port) {
      &--text {
        font-size: 3rem;
        margin-top: 4rem !important;
      }
      &--arrow {
        font-size: 3rem;
      }
      &--photo {
        width: 80%;
      }
    }

    @media (max-width: 48em) { // 768px
      &--text {
        font-size: 4rem;
        margin-top: 4rem !important;
      }
      &--arrow {
        font-size: 4rem;
      }
      &--photo {
        width: 55%;
      }
    };
  }
}
